/******************************************************************************/
/*!
 * @file   ex_uart.h
 * @brief
 * @note
 * @date   作成日　2021年12月16日
 * @author Ver.03 Copyright (c) Mobile Create Co., Ltd. 2016 All rights reserved.
 */
/******************************************************************************/

#ifndef _exuart_H_
#define _exuart_H_

#include <zephyr.h>

#define RING_BUF_MAXSIZE 128

// uart受信情報構造体
typedef struct
{
    uint8_t bytes[RING_BUF_MAXSIZE];
    uint32_t length;
} uart_msg_queue_item;

extern void gnss_uart_init(void);
extern void gnss_uart_baudchange(int baurate);
extern int gnss_uart_send(const uint8_t *data_ptr, uint32_t data_len);
extern void gnss_uart_init_end(void);

#endif //_exuart_H_
/****************************************************************************************/
/* FILE END : ex_uart.h																	*/
/****************************************************************************************/
